Package org.apache.sysds.runtime.instructions.spark

# Class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroupFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroupFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<Object>>,String>`

Enclosing class:
  MultiReturnParameterizedBuiltinSPInstruction

public static class MultiReturnParameterizedBuiltinSPInstruction.TransformEncodeGroupFunction extends Object implements org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<Object>>,String>
This function assigns codes to globally distinct values of recoded columns and writes the resulting column map in textcell (IJV) format to the output. (part of distributed recode map construction, used for recoding, binning and dummy coding). We operate directly over schema-specific objects to avoid unnecessary string conversion, as well as reduce memory overhead and shuffle.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransformEncodeGroupFunction(MultiColumnEncoder encoder, org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.MaxLongAccumulator accMax)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`call(scala.Tuple2<Integer,Iterable<Object>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TransformEncodeGroupFunction

public TransformEncodeGroupFunction(MultiColumnEncoder encoder, org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.MaxLongAccumulator accMax)

## Method Details

### call

public Iterator<String> call(scala.Tuple2<Integer,Iterable<Object>> arg0) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Integer,Iterable<Object>>,String>`
Throws:
  `Exception`